# ImageInspect


[API catalog](/reference/api/) · [Docker Engine overview](/reference/api/engine/version/v1.57/) · [Product manual](https://docs.docker.com/engine/) · [OpenAPI specification](/reference/api/engine/version/v1.57.yaml)

API version: 1.57





Schema constraints and annotations:

```json
{
  "description": "Information about an image in the local image cache.\n",
  "properties": {
    "Architecture": {
      "description": "Hardware CPU architecture that the image runs on.\n",
      "example": "arm",
      "type": "string",
      "x-nullable": false
    },
    "Author": {
      "description": "Name of the author that was specified when committing the image, or as\nspecified through MAINTAINER (deprecated) in the Dockerfile.\n",
      "example": "",
      "type": "string",
      "x-nullable": true
    },
    "Comment": {
      "description": "Optional message that was set when committing or importing the image.\n",
      "example": "",
      "type": "string",
      "x-nullable": true
    },
    "Config": {
      "$ref": "#/components/schemas/ImageConfig"
    },
    "Created": {
      "description": "Date and time at which the image was created, formatted in\n[RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format with nano-seconds.\n\nThis information is only available if present in the image,\nand omitted otherwise.\n",
      "example": "2022-02-04T21:20:12.497794809Z",
      "format": "dateTime",
      "type": "string",
      "x-nullable": true
    },
    "Descriptor": {
      "$ref": "#/components/schemas/OCIDescriptor",
      "description": "Descriptor is an OCI descriptor of the image target.\nIn case of a multi-platform image, this descriptor points to the OCI index\nor a manifest list.\n\nThis field is only present if the daemon provides a multi-platform image store.\n\nWARNING: This is experimental and may change at any time without any backward\ncompatibility.\n",
      "x-nullable": true
    },
    "GraphDriver": {
      "$ref": "#/components/schemas/DriverData",
      "x-nullable": true
    },
    "Id": {
      "description": "ID is the content-addressable ID of an image.\n\nThis identifier is a content-addressable digest calculated from the\nimage's configuration (which includes the digests of layers used by\nthe image).\n\nNote that this digest differs from the `RepoDigests` below, which\nholds digests of image manifests that reference the image.\n",
      "example": "sha256:ec3f0931a6e6b6855d76b2d7b0be30e81860baccd891b2e243280bf1cd8ad710",
      "type": "string",
      "x-nullable": false
    },
    "Identity": {
      "$ref": "#/components/schemas/Identity",
      "description": "Identity holds information about the identity and origin of the image.\nThis is trusted information verified by the daemon and cannot be modified\nby tagging an image to a different name.",
      "x-nullable": true
    },
    "Manifests": {
      "description": "Manifests is a list of image manifests available in this image. It\nprovides a more detailed view of the platform-specific image manifests or\nother image-attached data like build attestations.\n\nOnly available if the daemon provides a multi-platform image store\nand the `manifests` option is set in the inspect request.\n\nWARNING: This is experimental and may change at any time without any backward\ncompatibility.\n",
      "items": {
        "$ref": "#/components/schemas/ImageManifestSummary"
      },
      "type": "array",
      "x-nullable": true
    },
    "Metadata": {
      "description": "Additional metadata of the image in the local cache. This information\nis local to the daemon, and not part of the image itself.\n",
      "properties": {
        "LastTagTime": {
          "description": "Date and time at which the image was last tagged in\n[RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format with nano-seconds.\n\nThis information is only available if the image was tagged locally,\nand omitted otherwise.\n",
          "example": "2022-02-28T14:40:02.623929178Z",
          "format": "dateTime",
          "type": "string",
          "x-nullable": true
        }
      },
      "type": "object"
    },
    "Os": {
      "description": "Operating System the image is built to run on.\n",
      "example": "linux",
      "type": "string",
      "x-nullable": false
    },
    "OsVersion": {
      "description": "Operating System version the image is built to run on (especially\nfor Windows).\n",
      "example": "",
      "type": "string",
      "x-nullable": true
    },
    "RepoDigests": {
      "description": "List of content-addressable digests of locally available image manifests\nthat the image is referenced from. Multiple manifests can refer to the\nsame image.\n\nThese digests are usually only available if the image was either pulled\nfrom a registry, or if the image was pushed to a registry, which is when\nthe manifest is generated and its digest calculated.\n",
      "example": [
        "example@sha256:afcc7f1ac1b49db317a7196c902e61c6c3c4607d63599ee1a82d702d249a0ccb",
        "internal.registry.example.com:5000/example@sha256:b69959407d21e8a062e0416bf13405bb2b71ed7a84dde4158ebafacfa06f5578"
      ],
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "RepoTags": {
      "description": "List of image names/tags in the local image cache that reference this\nimage.\n\nMultiple image tags can refer to the same image, and this list may be\nempty if no tags reference the image, in which case the image is\n\"untagged\", in which case it can still be referenced by its ID.\n",
      "example": [
        "example:1.0",
        "example:latest",
        "example:stable",
        "internal.registry.example.com:5000/example:1.0"
      ],
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "RootFS": {
      "description": "Information about the image's RootFS, including the layer IDs.\n",
      "properties": {
        "Layers": {
          "example": [
            "sha256:1834950e52ce4d5a88a1bbd131c537f4d0e56d10ff0dd69e66be3b7dfa9df7e6",
            "sha256:5f70bf18a086007016e948b04aed3b82103a36bea41755b6cddfaf10ace3c6ef"
          ],
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "Type": {
          "example": "layers",
          "type": "string",
          "x-nullable": false
        }
      },
      "required": [
        "Type"
      ],
      "type": "object"
    },
    "Size": {
      "description": "Total size of the image variant, including all layers it is composed of.\n\nFor multi-platform images, this is the size of the platform variant\nselected by the `platform` query parameter. If no platform is specified,\nthe daemon selects a platform as described in the `platform` parameter.\n\nWhen using the containerd image store, this includes both the image content\nthat's present locally and the unpacked snapshot data for the selected\nvariant.\n\nImage data may be shared between images, so this size does not indicate\nhow much space would be reclaimed by deleting the image.\n",
      "example": 1239828,
      "format": "int64",
      "type": "integer",
      "x-nullable": false
    },
    "Variant": {
      "description": "CPU architecture variant (presently ARM-only).\n",
      "example": "v7",
      "type": "string",
      "x-nullable": true
    }
  },
  "type": "object"
}
```



